AHELPER = tip
AHELPERURL = https://bitbucket.org/clarifiednetworks/abusehelper/get/$(AHELPER).tar.gz
IDIOKIT = tip
IDIOKITURL = https://bitbucket.org/clarifiednetworks/idiokit/get/$(IDIOKIT).tar.gz
OUT = /srv/puppet/files/common/packages

all:     tarball
tarball: abusehelper.tar.gz idiokit.tar.gz
.PHONY:  abusehelper.tar.gz idiokit.tar.gz

abusehelper.tar.gz:
	@umask 022 && mkdir -p $(OUT)/abusehelper && \
	cd $(OUT)/abusehelper && wget -nv -N $(AHELPERURL) && \
	cd $(OUT) && ln -fs abusehelper/$(AHELPER).tar.gz abusehelper.tar.gz

idiokit.tar.gz:
	@umask 022 && mkdir -p $(OUT)/idiokit && \
	cd $(OUT)/idiokit && wget -nv -N $(IDIOKITURL) && \
	cd $(OUT) && ln -fs idiokit/$(IDIOKIT).tar.gz idiokit.tar.gz
